multibranchPipelineJob('charlyghislaindotcom/charlyghislaindotcom') {
    branchSources {
        branchSource {
            source {
                git {
                    id('charlyghislaindotcom-front_repo') // IMPORTANT: use a constant and unique identifier
                    remote('ssh://git@gitea.charlyghislain.com:2022/cghislai/charlyghislaindotcom.git')
                    credentialsId('jenkins-jenkins-ssh-key')
                    traits {
                        gitBranchDiscovery()
                        wipeWorkspaceTrait()
                    }
                }
            }
            strategy {
                namedBranchesDifferent {
                    namedExceptions {
                        named {
                            name('master')
                            props {
                                suppressAutomaticTriggering()
                            }
                        }
                    }
                }
            }
        }
    }
    triggers {
        periodic(30)
    }
    orphanedItemStrategy {
        discardOldItems {
            daysToKeep(7)
        }
    }
    factory {
        workflowBranchProjectFactory {
            scriptPath('Jenkinsfile')
        }
    }
}

